If you think a bug might affect users in the 57 release, please set the correct tracking and status flags for Release Management.

Flash hang in F1395394428

RESOLVED INCOMPLETE

Status

External Software Affecting Firefox
Flash (Adobe)
--
critical
RESOLVED INCOMPLETE
6 years ago
a year ago

People

(Reporter: jicee91@hotmail.fr, Unassigned)

Tracking

({hang})

Firefox Tracking Flags

(Not tracked)

Details

(crash signature)

(Reporter)

Description

6 years ago
User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:7.0.1) Gecko/20100101 Firefox/7.0.1
Build ID: 20110928134238

Steps to reproduce:

reinstall firefox 7, clean cookies, cache, profiles, etc
try without plugin i have no problem.
with plugin activate i have a regular crash


Actual results:

about:crashes plugin Version: Filename: NPSWF32.dll

Signature	hang | _SEH_epilog4
UUID	49d867d9-5763-4504-9f08-ac3dd2111016
Date Processed	2011-10-16 14:02:11.689163
Process Type	plugin Version: Filename: NPSWF32.dll
Uptime	40312
Install Age	6.0 days since version was first installed.
Install Time	2011-10-10 18:04:25
Product	Firefox
Version	7.0.1
Build ID	20110928134238
Release Channel	release
OS	Windows NT
OS Version	6.1.7601 Service Pack 1
CPU	x86
CPU Info	GenuineIntel family 6 model 23 stepping 6
Crash Reason	EXCEPTION_BREAKPOINT
Crash Address	0x771df8c1
User Comments	
App Notes 	AdapterVendorID: 1002, AdapterDeviceID: 9442, AdapterDriverVersion: 8.881.0.0
D2D? D2D+
DWrite? DWrite+
D3D10 Layers? D3D10 Layers+
Processor Notes 	Priority Job
EMCheckCompatibility	True
Winsock LSP	MSAFD Tcpip [TCP/IP] : 2 : 1 : %SystemRoot%\system32\mswsock.dll MSAFD Tcpip [UDP/IP] : 2 : 2 : MSAFD Tcpip [RAW/IP] : 2 : 3 : %SystemRoot%\system32\mswsock.dll MSAFD Tcpip [TCP/IPv6] : 2 : 1 : MSAFD Tcpip [UDP/IPv6] : 2 : 2 : %SystemRoot%\system32\mswsock.dll MSAFD Tcpip [RAW/IPv6] : 2 : 3 : Fournisseur de services RSVP TCPv6 : 2 : 1 : %SystemRoot%\system32\mswsock.dll Fournisseur de services RSVP TCP : 2 : 1 : Fournisseur de services RSVP UDPv6 : 2 : 2 : %SystemRoot%\system32\mswsock.dll Fournisseur de services RSVP UDP : 2 : 2 :
Adapter Vendor ID	
Adapter Device ID


Expected results:

Signature	hang | _SEH_epilog4
UUID	49d867d9-5763-4504-9f08-ac3dd2111016
Date Processed	2011-10-16 14:02:11.689163
Process Type	plugin Version: Filename: NPSWF32.dll
Uptime	40312
Install Age	6.0 days since version was first installed.
Install Time	2011-10-10 18:04:25
Product	Firefox
Version	7.0.1
Build ID	20110928134238
Release Channel	release
OS	Windows NT
OS Version	6.1.7601 Service Pack 1
CPU	x86
CPU Info	GenuineIntel family 6 model 23 stepping 6
Crash Reason	EXCEPTION_BREAKPOINT
Crash Address	0x771df8c1
User Comments	
App Notes 	AdapterVendorID: 1002, AdapterDeviceID: 9442, AdapterDriverVersion: 8.881.0.0
D2D? D2D+
DWrite? DWrite+
D3D10 Layers? D3D10 Layers+
Processor Notes 	Priority Job
EMCheckCompatibility	True
Winsock LSP	MSAFD Tcpip [TCP/IP] : 2 : 1 : %SystemRoot%\system32\mswsock.dll MSAFD Tcpip [UDP/IP] : 2 : 2 : MSAFD Tcpip [RAW/IP] : 2 : 3 : %SystemRoot%\system32\mswsock.dll MSAFD Tcpip [TCP/IPv6] : 2 : 1 : MSAFD Tcpip [UDP/IPv6] : 2 : 2 : %SystemRoot%\system32\mswsock.dll MSAFD Tcpip [RAW/IPv6] : 2 : 3 : Fournisseur de services RSVP TCPv6 : 2 : 1 : %SystemRoot%\system32\mswsock.dll Fournisseur de services RSVP TCP : 2 : 1 : Fournisseur de services RSVP UDPv6 : 2 : 2 : %SystemRoot%\system32\mswsock.dll Fournisseur de services RSVP UDP : 2 : 2 :
Adapter Vendor ID	
Adapter Device ID

Updated

6 years ago
Severity: normal → critical
Crash Signature: [@ hang | _SEH_epilog4 ]
Keywords: crash
Not sure it would help, but you could try updating to flash version 11.
Oh and are you somehow trying to either use the 32-bit flash player with a 64-bit version of Firefox or vice-versa?

If you are trying to use flash with 64-bit firefox you need to be running flash version 11 64-bit.  Flash 11 is the first officially supported version of flash that is compatible with 64-bit browsers.

Updated

6 years ago
Component: General → Flash (Adobe)
Product: Firefox → Plugins
QA Contact: general → adobe-flash
Summary: crash plugin flash → crash plugin flash [@ hang | _SEH_epilog4 ]
Version: 7 Branch → unspecified
Related to 679846?

Comment 4

6 years ago
http://www.house-maniacs.com/2010/07/rosie-romero-guru-web-2010-wav.html   hang when leaving this page

page has flash content

https://crash-stats.mozilla.com/report/index/bp-b716efc8-2364-463f-adc8-f118b2111107
https://crash-stats.mozilla.com/report/index/bp-3e746e51-cf4c-4008-9012-8c26c2111107

Comment 5

6 years ago
http://minus.com/mbcCOyzaYM#1l on page exit - adobe flash hang FF8

https://crash-stats.mozilla.com/report/index/bp-f56468c0-4d55-447d-85bd-d3d602111110
https://crash-stats.mozilla.com/report/index/bp-2c5919ca-dad9-456a-b140-fd9512111110

Comment 6

6 years ago
jicee91, does it still occur with Flash 11.1.102.55 and Fx 9.0.1?

Comment 7

6 years ago
Crash Report [@ hang | _SEH_epilog4 ] 
https://crash-stats.mozilla.com/report/index/bp-e05c56c2-43b0-4882-ab47-347922120209

together with
Crash Report [@ hang | npswf32_11_2_300_130.dll@0x7488ff ]
http://crash-stats.mozilla.com/report/index/bp-db26d467-d232-4006-8bf4-f1c1f2120209

https://bugbase.adobe.com/index.cfm?event=bug&id=3109423

Comment 8

6 years ago
(In reply to MrX1980 from comment #7)
> Crash Report [@ hang | _SEH_epilog4 ] 
> https://crash-stats.mozilla.com/report/index/bp-e05c56c2-43b0-4882-ab47-
> 347922120209
It's bug 633253 about the browser side hang.

Comment 9

6 years ago
https://crash-stats.mozilla.com/report/index/bp-eec62ce4-ff07-44ae-bfcd-418a82120211

FAIL

Comment 10

6 years ago
Only 4% of hangs (i.e. 290 hangs in one week) with this signature are Flash hangs, the others are browser side hangs or other plugin hangs.

Signature 	hang | _SEH_epilog4 More Reports Search
UUID	eec62ce4-ff07-44ae-bfcd-418a82120211
Date Processed	2012-02-11 14:50:20
Process Type	plugin Version: Filename: NPSWF32.dll
Uptime	46421
Install Age	1.5 days since version was first installed.
Install Time	2012-02-06 23:02:27
Product	Firefox
Version	10.0
Build ID	20120129021758
Release Channel	release
OS	Windows NT
OS Version	6.1.7601 Service Pack 1
Build Architecture	x86
Build Architecture Info	GenuineIntel family 6 model 30 stepping 5
Crash Reason	EXCEPTION_BREAKPOINT
Crash Address	0x7715f8b1
App Notes 	
AdapterVendorID: 1002, AdapterDeviceID: 68b8, AdapterSubsysID: 25431002, AdapterDriverVersion: 8.920.0.0
D2D? D2D+
DWrite? DWrite+
D3D10 Layers? D3D10 Layers+
Processor Notes 	Priority Job
EMCheckCompatibility	True

Crashing Thread
Frame 	Module 	Signature 	Source
0 	ntdll.dll 	NtWaitForSingleObject 	
1 	ntdll.dll 	NtWaitForSingleObject 	
2 	KERNELBASE.dll 	_SEH_epilog4 	
3 	kernel32.dll 	WaitForSingleObjectExImplementation 	
4 	kernel32.dll 	WaitForSingleObject 	
5 	NPSWF32.dll 	F1395394428_______________________________ 	F357347316_________________________________________________:167
6 	NPSWF32.dll 	F1479269175_______________________________________________________________________________________________________________________ 	
7 	NPSWF32.dll 	F1684106160_________________ 	F1101394321_________________________________________:973
8 	ntdll.dll 	LdrpUnloadDll 	
9 	NPSWF32.dll 	F1479269175_______________________________________________________________________________________________________________________ 	
10 	NPSWF32.dll 	F1479269175_______________________________________________________________________________________________________________________ 	
11 	kernel32.dll 	InterlockedIncrementStub 	
12 	NPSWF32.dll 	F819927101____________________________________ 	F_254777389__________________________________________________:1870
13 	NPSWF32.dll 	F1479269175_______________________________________________________________________________________________________________________ 	
14 	NPSWF32.dll 	F96815044______________________________ 	F_254777389__________________________________________________:752
15 	NPSWF32.dll 	F1479269175_______________________________________________________________________________________________________________________ 	
16 	NPSWF32.dll 	F1479269175_______________________________________________________________________________________________________________________ 	
17 	kernel32.dll 	__security_check_cookie 	
18 	kernel32.dll 	__security_check_cookie 	
19 	NPSWF32.dll 	F_790366171________________________________________ 	F432462412_______________________________________________________:282
20 	NPSWF32.dll 	F1479269175_______________________________________________________________________________________________________________________ 	
21 	NPSWF32.dll 	F1479269175_______________________________________________________________________________________________________________________ 	
22 	kernel32.dll 	__security_check_cookie 	
23 	NPSWF32.dll 	F814049774_____________________________________________________________________ 	F1475992010__________________________________________________________:75
24 	NPSWF32.dll 	F1479269175_______________________________________________________________________________________________________________________ 	
25 	NPSWF32.dll 	F1479269175_______________________________________________________________________________________________________________________ 	
26 	NPSWF32.dll 	F_343626923__________________________________________________________________________________________ 	F1475992010__________________________________________________________:88
27 	NPSWF32.dll 	F1775534657__________ 	F_1055812748____________________________________:1781
28 	NPSWF32.dll 	F1479269175_______________________________________________________________________________________________________________________ 

NPSWF32.dll 	11.1.102.55 	AEBCF68A3E74455994C9CCE79744EF541 	NPSWF32.pdb

More reports at:
https://crash-stats.mozilla.com/report/list?signature=hang%20|%20_SEH_epilog4
Status: UNCONFIRMED → NEW
Ever confirmed: true
Keywords: crash → hang
Hardware: x86_64 → x86
Summary: crash plugin flash [@ hang | _SEH_epilog4 ] → Flash hang in F1395394428
Version: unspecified → 11.x

Comment 11

a year ago
I'm closing a lot of bugs which are filed as Adobe Flash bugs which are either irrelevant, not actionable, or not serious enough to track in the Mozilla bug tracker. For the most part, Flash bugs should be filed in Adobe bugbase, and we'll only track a few highly-critical issues in the Mozilla tracker.
Status: NEW → RESOLVED
Last Resolved: a year ago
Resolution: --- → INCOMPLETE

Comment 12

a year ago
Version and milestone values are being reset to defaults as part of product refactoring.
Version: 11.x → unspecified
You need to log in before you can comment on or make changes to this bug.